function setPageTiming(evt) {
	var bSetIt;
	if( document.attachEvent ) { bSetIt = (document.readyState=="complete" ); }
	else					   { bSetIt = true; }

	if(bSetIt) {
		if( parent.QUERY && parent.QUERY.timecheck ) {
			var queryTime = document.getElementById("queryTime");
			var viewTime  = document.getElementById("viewTime" );
			parent.QUERY.timecheck( queryTime, viewTime );
		}
	}
}

if(document.addEventListener) {
	if(document.getBoxObjectFor) {
		document.addEventListener("DOMContentLoaded", setPageTiming, null);		//Gecho
	}
	else {
		window.addEventListener("load", setPageTiming, false);
	}
}
else if(document.attachEvent) {
	document.attachEvent("onreadystatechange", setPageTiming);
}
else {
	window.onload = setPageTiming;
}
